<packaging>war</packaging>

<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter-tomcat</artifactId>
<scope>provided</scope>
</dependency>
上面tomcat版本不一致导致访问不到页面,添加<version>1.3.0.RELEASE</version>之后访问成功

<dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-tomcat</artifactId>
        <version>1.3.0.RELEASE</version>
        <scope>provided</scope>
    </dependency>